"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.initialState = void 0;
const constants_1 = require("../../constants");
const utils_1 = require("../../utils");
const actions_1 = require("./actions");
exports.initialState = {
    quizRequestState: constants_1.RequestStates.Stale,
};
function apiReducer(state, action) {
    var _a, _b, _c, _d, _e, _f;
    switch (action.type) {
        case actions_1.QuizAPIActionTypes.SET_IS_LOADING:
            return Object.assign(Object.assign({}, state), { quizRequestState: constants_1.RequestStates.Loading });
        case actions_1.QuizAPIActionTypes.SET_IS_ERROR:
            return Object.assign(Object.assign({}, state), { quizRequestState: constants_1.RequestStates.Error, quizResults: undefined });
        case actions_1.QuizAPIActionTypes.SET_CURRENT_QUESTION:
            return Object.assign(Object.assign(Object.assign({}, state), { quizRequestState: constants_1.RequestStates.Success, quizCurrentQuestion: (_a = action.payload) === null || _a === void 0 ? void 0 : _a.quizCurrentQuestion, quizResults: undefined }), (!state.quizCurrentQuestion && {
                quizFirstQuestion: (_b = action.payload) === null || _b === void 0 ? void 0 : _b.quizCurrentQuestion,
            }));
        case actions_1.QuizAPIActionTypes.SET_QUIZ_RESULTS: {
            const filterExpression = ((_e = (_d = (_c = action.payload) === null || _c === void 0 ? void 0 : _c.quizResults) === null || _d === void 0 ? void 0 : _d.request) === null || _e === void 0 ? void 0 : _e.collection_filter_expression) || null;
            const quizResultsFilters = [...new Set((0, utils_1.getFilterValuesFromExpression)(filterExpression))];
            return Object.assign(Object.assign({}, state), { quizRequestState: constants_1.RequestStates.Success, quizResults: (_f = action.payload) === null || _f === void 0 ? void 0 : _f.quizResults, quizResultsFilters, quizCurrentQuestion: undefined });
        }
        case actions_1.QuizAPIActionTypes.RESET_QUIZ:
            return exports.initialState;
        default:
            return state;
    }
}
exports.default = apiReducer;
