"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = require("react");
const services_1 = require("../../services");
const utils_1 = require("../../utils");
const useQuizResultsLoaded = (cioClient, quizApiState, onQuizResultsLoaded) => {
    // Quiz results loaded
    (0, react_1.useEffect)(() => {
        var _a;
        if (quizApiState.quizResults) {
            // Tracking call
            (0, services_1.trackQuizResultsLoaded)(cioClient, quizApiState.quizResults);
            // User custom callback function
            if (onQuizResultsLoaded &&
                (0, utils_1.isFunction)(onQuizResultsLoaded) &&
                ((_a = quizApiState.quizResults.response) === null || _a === void 0 ? void 0 : _a.results)) {
                onQuizResultsLoaded(quizApiState.quizResults.response.results);
            }
        }
    }, [quizApiState, cioClient, onQuizResultsLoaded]);
};
exports.default = useQuizResultsLoaded;
