"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const react_1 = require("react");
const actions_1 = require("../components/CioQuiz/actions");
const quizLocalReducer_1 = tslib_1.__importStar(require("../components/CioQuiz/quizLocalReducer"));
const constants_1 = require("../constants");
const useQuizLocalState = (sessionStateKey) => {
    const [quizLocalState, dispatch] = (0, react_1.useReducer)(quizLocalReducer_1.default, quizLocalReducer_1.initialState);
    const quizStateKey = sessionStateKey || constants_1.quizSessionStateKey;
    const getStateFromSessionStorage = () => {
        var _a;
        const state = (_a = window === null || window === void 0 ? void 0 : window.sessionStorage) === null || _a === void 0 ? void 0 : _a.getItem(quizStateKey);
        if (state) {
            return JSON.parse(state);
        }
        return null;
    };
    (0, react_1.useEffect)(() => {
        var _a, _b;
        // don't save state if initial state
        if ((_a = quizLocalState === null || quizLocalState === void 0 ? void 0 : quizLocalState.answers) === null || _a === void 0 ? void 0 : _a.length) {
            (_b = window === null || window === void 0 ? void 0 : window.sessionStorage) === null || _b === void 0 ? void 0 : _b.setItem(quizStateKey, JSON.stringify(quizLocalState));
        }
    }, [quizLocalState, quizStateKey]);
    const resetQuizLocalState = () => {
        dispatch({
            type: actions_1.QuestionTypes.Reset,
        });
    };
    const hydrateQuizLocalState = () => {
        const quizState = getStateFromSessionStorage();
        if (quizState) {
            dispatch({
                type: actions_1.QuestionTypes.Hydrate,
                payload: quizState,
            });
        }
    };
    const resetQuizStoredState = () => {
        var _a;
        (_a = window === null || window === void 0 ? void 0 : window.sessionStorage) === null || _a === void 0 ? void 0 : _a.removeItem(quizStateKey);
    };
    const hasQuizStoredState = () => getStateFromSessionStorage() !== null;
    return {
        quizLocalState,
        resetQuizLocalState,
        hydrateQuizLocalState,
        hasQuizStoredState,
        resetQuizStoredState,
        dispatchLocalState: dispatch,
    };
};
exports.default = useQuizLocalState;
