"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getMockContextValue = exports.getMockState = exports.questionOptions = exports.questionOptionsWithImages = exports.getMockQuestionWithImage = exports.getMockQuestion = void 0;
const getMockQuestion = (type) => ({
    id: 1,
    title: 'This is question title',
    description: 'This is question description',
    cta_text: 'Continue',
    type,
});
exports.getMockQuestion = getMockQuestion;
const getMockImages = () => ({
    images: {
        primary_url: 'https://demo.constructor.io/sandbox_files/farmstandquizassets/HiThereNameInput.png',
    },
});
const getMockQuestionWithImage = (type) => (Object.assign(Object.assign({}, (0, exports.getMockQuestion)(type)), getMockImages()));
exports.getMockQuestionWithImage = getMockQuestionWithImage;
const getMockOption = (id, value) => ({
    id,
    value,
    attribute: {
        name: value,
        value,
    },
});
const getMockOptionWithImage = (id, value) => (Object.assign(Object.assign({}, getMockOption(id, value)), getMockImages()));
exports.questionOptionsWithImages = [
    Object.assign({}, getMockOptionWithImage(0, 'coffee')),
    Object.assign({}, getMockOptionWithImage(1, 'tea')),
    Object.assign({}, getMockOptionWithImage(2, 'water')),
];
exports.questionOptions = [
    Object.assign({}, getMockOption(0, 'coffee')),
    Object.assign({}, getMockOption(1, 'tea')),
    Object.assign({}, getMockOption(2, 'water')),
];
const getMockState = (question) => ({
    answers: {
        inputs: { 1: '' },
        isLastAnswer: false,
    },
    quiz: {
        requestState: 1,
        versionId: '',
        sessionId: '',
        isFirstQuestion: false,
        currentQuestion: {
            next_question: question,
        },
        results: {
            response: {
                results: [
                    {
                        value: 'This is a result card item',
                        data: {
                            id: '0',
                            price: 100,
                            image_url: 'https://demo.constructor.io/sandbox_files/farmstandquizassets/HiThereNameInput.png',
                        },
                    },
                    {
                        value: 'This is a result card item',
                        data: {
                            id: '1',
                            price: 200,
                            salePrice: 150,
                            image_url: 'https://demo.constructor.io/sandbox_files/farmstandquizassets/HiThereNameInput.png',
                        },
                    },
                    {
                        value: 'This is a result card item',
                        data: {
                            id: '2',
                            price: 300,
                            salePrice: 250,
                            image_url: 'https://demo.constructor.io/sandbox_files/farmstandquizassets/HiThereNameInput.png',
                        },
                    },
                ],
            },
        },
        resultsFilters: ['Chocolate', 'Medium'],
    },
});
exports.getMockState = getMockState;
const getMockContextValue = (question) => ({
    state: (0, exports.getMockState)(question),
    previousQuestion: () => { },
    nextQuestion: () => { },
    addToCart: () => { },
    customClickItemCallback: false,
    resetQuiz: () => { },
    resultClick: () => { },
});
exports.getMockContextValue = getMockContextValue;
