import React, { useContext } from 'react';
import RedoButton from '../RedoButton/RedoButton';
import QuizContext from '../CioQuiz/context';
import ResultFilters from '../ResultFilters/ResultFilters';
import ZeroResults from '../ZeroResults/ZeroResults';
import Results from '../Results/Results';
export default function ResultContainer(props) {
    const { options } = props;
    const { resultCardSalePriceKey, resultCardRegularPriceKey } = options;
    const { state, resetQuiz } = useContext(QuizContext);
    const zeroResults = !state?.quiz.results?.response?.results?.length;
    const resultsTitle = zeroResults ? 'Oops, there are no results' : 'Here are your results';
    if (state?.quiz.results) {
        return (React.createElement("div", { className: 'cio-results-container' },
            React.createElement("h1", { className: 'cio-results-title' }, resultsTitle),
            React.createElement("div", { className: 'cio-results-filter-and-redo-container' },
                React.createElement(ResultFilters, null),
                React.createElement(RedoButton, { onClick: resetQuiz })),
            !zeroResults && (React.createElement(Results, { resultCardSalePriceKey: resultCardSalePriceKey, resultCardRegularPriceKey: resultCardRegularPriceKey })),
            zeroResults && React.createElement(ZeroResults, null)));
    }
    return React.createElement("div", null, "Loading");
}
