import useQuizResultsLoaded from './useQuizResultsLoaded';
import useQuizResultClick from './useQuizResultClick';
import useQuizAddToCart from './useQuizAddToCart';
import useQuizNextClick from './useQuizNextClick';
import useQuizBackClick from './useQuizBackClick';
const useQuizEvents = (options) => {
    const { cioClient, quizApiState, resultsPageOptions, dispatchLocalState, resetQuizApiState, resetQuizLocalState, hydrateQuizLocalState, resetQuizStoredState, hasQuizStoredState, } = options;
    const { onAddToCartClick, onQuizResultClick, onQuizResultsLoaded } = resultsPageOptions;
    // Quiz Next button click
    const nextQuestion = useQuizNextClick(quizApiState, dispatchLocalState);
    // Quiz Back button click callback
    const previousQuestion = useQuizBackClick(dispatchLocalState);
    // Quiz result add to cart callback
    const addToCart = useQuizAddToCart(cioClient, quizApiState, onAddToCartClick);
    // Quiz result click callback
    const resultClick = useQuizResultClick(cioClient, quizApiState, onQuizResultClick);
    // Quiz results loaded event
    useQuizResultsLoaded(cioClient, quizApiState, onQuizResultsLoaded);
    const resetQuiz = () => {
        if (quizApiState.quizResults) {
            resetQuizApiState();
            resetQuizLocalState();
            resetQuizStoredState();
        }
    };
    return {
        addToCart,
        resultClick,
        nextQuestion,
        previousQuestion,
        resetQuiz,
        hydrateQuiz: hydrateQuizLocalState,
        hasStoredState: hasQuizStoredState,
        resetStoredState: resetQuizStoredState,
    };
};
export default useQuizEvents;
