import { useCallback } from 'react';
import { trackQuizResultClick } from '../../services';
import { isFunction } from '../../utils';
const useQuizResultClick = (cioClient, quizApiState, onQuizResultClick) => {
    const resultClickHandler = useCallback((result, position) => {
        if (quizApiState.quizResults) {
            // Tracking call
            trackQuizResultClick(cioClient, quizApiState.quizResults, result, position);
            // User custom callback function
            if (isFunction(onQuizResultClick)) {
                onQuizResultClick(result, position);
            }
        }
    }, [quizApiState, cioClient, onQuizResultClick]);
    return resultClickHandler;
};
export default useQuizResultClick;
